#include<stdio.h>
main()
{
	long long int a,b,x,y;
	scanf("%lld%lld",&a,&b); 
	scanf("%lld%lld",&x,&y); 
	if(a>x && b==y)
	printf("prvi");
	if(b>y && a==x)
	printf("drugi");
	if(a==x && b==y)
	printf("nijedan");
	if(a>x && b>y)
	printf("?");
}